#ifndef __TIMECTRL_H_
#define __TIMECTRL_H_

#define MAX_CTRL_TIME               15000           //ms

typedef enum{
    CANMsgSend_10ms = 0,
    CANMsgSend_20ms,
    CANMsgSend_50ms,
    CANMsgSend_100ms,
    CANMsgSend_200ms,
    CANMsgSend_500ms,
    CANMsgSend_1s,
    CANMsgSend_10s,

    TwoLamp_Ctrl,

    TimeSNMax,
}e_TimeSN;


void InitTimeCtrl(void);
void TimerCtrlms(unsigned int time);
void EnableTimeCtrl(e_TimeSN sn);
void DisableTimeCtrl(e_TimeSN sn);
void ClearCtrlTime(e_TimeSN sn);
unsigned int GetCtrlTime(e_TimeSN sn);

void Timer_1ms_Base(void);
void Timer_2ms_Task(void);
void Timer_10ms_Task(void);





#endif